/////////////////////////////////////////////////////////////////////////////
// TabbedDockbarDemoPlugIn.cpp : defines the initialization routines for the plug-in.
//

#include "StdAfx.h"
#include "TabbedDockbarDemoPlugIn.h"

#include "resource.h"
#include "MyTabDialog.h"

#pragma warning( push )
#pragma warning( disable : 4073 )
#pragma init_seg( lib )
#pragma warning( pop )

// Rhino plug-in declaration
RHINO_PLUG_IN_DECLARE

// Rhino plug-in name
// Provide a short, friendly name for this plug-in.
RHINO_PLUG_IN_NAME( L"TabbedDockbarDemo" );

// Rhino plug-in id
// Provide a unique uuid for this plug-in
#error "Don't reuse this UUID"
RHINO_PLUG_IN_ID( L"3CA39868-E5B5-4BF5-A653-FD53FD7E2153" );

// Rhino plug-in version
// Provide a version number string for this plug-in
RHINO_PLUG_IN_VERSION( __DATE__"  "__TIME__ )

// Rhino plug-in developer declarations
// TODO: fill in the following developer declarations with
// your company information. Note, all of these declarations
// must be present or your plug-in will not load.
//
// When completed, delete the following #error directive.
//#error Developer declarations block is incomplete!
RHINO_PLUG_IN_DEVELOPER_ORGANIZATION( L"My Company Name" );
RHINO_PLUG_IN_DEVELOPER_ADDRESS( L"123 Developer Street\r\nCity State 12345-6789" );
RHINO_PLUG_IN_DEVELOPER_COUNTRY( L"My Country" );
RHINO_PLUG_IN_DEVELOPER_PHONE( L"123.456.7890" );
RHINO_PLUG_IN_DEVELOPER_FAX( L"123.456.7891" );
RHINO_PLUG_IN_DEVELOPER_EMAIL( L"support@mycompany.com" );
RHINO_PLUG_IN_DEVELOPER_WEBSITE( L"http://www.mycompany.com" );
RHINO_PLUG_IN_UPDATE_URL( L"http://www.mycompany.com/support" );

// The one and only CTabbedDockbarDemoPlugIn object
static CTabbedDockbarDemoPlugIn thePlugIn;

/////////////////////////////////////////////////////////////////////////////
// CTabbedDockbarDemoPlugIn definition

CTabbedDockbarDemoPlugIn& TabbedDockbarDemoPlugIn()
{ 
  // Return a reference to the one and only CTabbedDockbarDemoPlugIn object
  return thePlugIn; 
}

CTabbedDockbarDemoPlugIn::CTabbedDockbarDemoPlugIn()
{
  // TODO: Add construction code here
  m_plugin_version = RhinoPlugInVersion();
}

CTabbedDockbarDemoPlugIn::~CTabbedDockbarDemoPlugIn()
{
  // TODO: Add destruction code here
}

/////////////////////////////////////////////////////////////////////////////
// Required overrides

const wchar_t* CTabbedDockbarDemoPlugIn::PlugInName() const
{
  // TODO: Return a short, friendly name for the plug-in.
  return RhinoPlugInName();
}

const wchar_t* CTabbedDockbarDemoPlugIn::PlugInVersion() const
{
  // TODO: Return the version number of the plug-in.
  return m_plugin_version;
}

GUID CTabbedDockbarDemoPlugIn::PlugInID() const
{
  // TODO: Return a unique identifier for the plug-in.
  // {3CA39868-E5B5-4BF5-A653-FD53FD7E2153}
  return ON_UuidFromString( RhinoPlugInId() );
}


BOOL CTabbedDockbarDemoPlugIn::OnLoadPlugIn()
{
  //Register the dialog with the tabbed dockbar system and allows dynamic creation
  CRhinoTabbedDockBarDialog::Register(RUNTIME_CLASS(CMyTabDialog), IDD_MYTAB, AfxGetStaticModuleState());

  // TODO: Add plug-in initialization code here.
  return CRhinoUtilityPlugIn::OnLoadPlugIn();
}

void CTabbedDockbarDemoPlugIn::OnUnloadPlugIn()
{
  // TODO: Add plug-in cleanup code here.

  CRhinoUtilityPlugIn::OnUnloadPlugIn();
}

